import { ApiKeyClientConfigSettings, ClientConfigSettings, TokenClientConfigSettings } from '../common';
import { ClientAuth } from 'bf-lib';
declare type Nullable<T> = T | null;
export declare type GetAccessTokenProps = {
    onError?: () => any;
};
export interface NodeClientAuth extends ClientAuth {
    getAccessToken: (options?: GetAccessTokenProps) => Promise<Nullable<string>>;
}
export default function auth(settings: ClientConfigSettings): Promise<NodeClientAuth>;
export declare function hasApiKeySettings(settings: ClientConfigSettings): settings is ApiKeyClientConfigSettings;
export declare function hasTokenSettings(settings: ClientConfigSettings): settings is TokenClientConfigSettings;
export {};
