"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getLink = void 0;
const bf_lib_1 = require("bf-lib");
const bf_types_1 = require("bf-types");
const getLink = (link) => {
    switch (link.module_name) {
        default:
            return `https://timwoods.app/${bf_lib_1.toLowerCamel(link.module_name)}/${link.module_id}`;
        case bf_types_1.ALL_MODULES.COMPANY:
            return `https://starlight.timwoods.app/${bf_lib_1.toLowerCamel(link.module_name)}/${link.module_id}`;
    }
};
exports.getLink = getLink;
